package io.gitlab.jfronny.inceptum.gtk.control

import io.gitlab.jfronny.inceptum.gtk.util.kText
import org.gnome.gtk.Entry
import java.util.function.Consumer

class KEntry(value: String? = ""): Entry() {
    private val onChange = ArrayList<Consumer<String>>()

    init {
        kText = value ?: ""
        onChanged { onChange.forEach { it.accept(text) } }
    }

    fun onChange(changed: Consumer<String>) {
        onChange.add(changed)
    }
}